ScoopParserInternal::Paragraph Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ScoopParserInternal::Paragraph Struct Reference

Internal: a paragraph of a ScoopParser. More...

## Public Member Functions
| Paragraph ()
| constructor More...

## Public Attributes
int | m_numChar
| the number of characters More...
MWAWEntry | m_text
| the text entry More...
std::map< int, MWAWFont > | m_cPosToFontMap
| a map character position to font More...
std::map< int, float > | m_cPosToKernelMap
| a map character position to kernel modifier More...
std::map< std::pair< int, int >, Special > | m_cPosToSpecialMap
| a map character positions to special field More...
MWAWParagraph | m_paragraph
| the paragraph style More...

## Detailed Description

Internal: a paragraph of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ Paragraph()

ScoopParserInternal::Paragraph::Paragraph | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_cPosToFontMap

std::map<int, MWAWFont> ScoopParserInternal::Paragraph::m_cPosToFontMap

a map character position to font

Referenced by ScoopParser::readTextZoneParagraph(), and ScoopParser::sendText().

## ◆ m_cPosToKernelMap

std::map<int, float> ScoopParserInternal::Paragraph::m_cPosToKernelMap

a map character position to kernel modifier

Referenced by ScoopParser::readTextZoneParagraph(), and ScoopParser::sendText().

## ◆ m_cPosToSpecialMap

std::map<std::pair<int,int>, Special> ScoopParserInternal::Paragraph::m_cPosToSpecialMap

a map character positions to special field

Referenced by ScoopParser::readTextZoneParagraph().

## ◆ m_numChar

int ScoopParserInternal::Paragraph::m_numChar

the number of characters

Referenced by ScoopParser::readTextZoneParagraph(), and ScoopParser::sendText().

## ◆ m_paragraph

MWAWParagraph ScoopParserInternal::Paragraph::m_paragraph

the paragraph style

Referenced by ScoopParser::readTextZoneParagraph(), and ScoopParser::sendText().

## ◆ m_text

MWAWEntry ScoopParserInternal::Paragraph::m_text

the text entry

Referenced by ScoopParser::readTextZoneParagraph(), and ScoopParser::sendText().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx